.contentwrap {
    position: relative;
    pointer-events: visible;
    font-family: 'Kanit-Light', tahoma;
    color: #fff;
    &--edit{
        border: 1px solid #84611e;
        background: #000;
        width: 90%;
        max-width: 670px;
        text-align: center;
        padding: 2% 0;
        @media(max-width: 640px) {
            width: 100%;
            border-left: none;
            border-right: none;
        }
    }
    &--message{
        border: 1px solid #84611e;
        background: #000;
        width: 90%;
        max-width: 420px;
        text-align: center;
        padding: 2% 2%;
        height: 25%;
        box-sizing: border-box;
    }
    &--reward{
        border: 1px solid #84611e;
        background: #000;
        width: 90%;
        max-width: 670px;
        text-align: center;
        padding: 2% 0;
        height: 30%;
    }
}
// .btn{
//     &__ok{
//         background:url("../../static/images/btn_ok.png")top center no-repeat;
//         background-size: 100% auto;
//         width: 25%;
//         padding-top: calc(25%*(98/183));
//         cursor: pointer;
//         display: inline-block;
//         margin: 2% 2%;
//         &--reward{
//             position: absolute;
//             top: 85%;
//             left: 50%;
//             transform: translate(-50%, -50%);
//             margin: 0 2%;
//         }
//     }
//     &__no{
//         background:url("../../static/images/btn_no.png")top center no-repeat;
//         background-size: 100% auto;
//         width: 25%;
//         padding-top: calc(25%*(98/183));
//         cursor: pointer;
//         display: inline-block;
//         margin: 2% 2%;
//     }
// }
.inner{
    &--board{
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        width: 100%;
    }
    &--boardmaxwidth{
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        width: 90%;
    }


    &--edit{
        width: 55%;
        margin: 0 auto;
        @media(max-width: 640px) {
            width: 60%;
        }
        @media(max-width: 450px) {
            width: 80%;
        }
    }
    &--message{
        height: 100%;
        overflow-x: hidden;
        overflow-y: auto;
        display: flex;
        justify-content: center;
        align-items: center;
    }
    &--reward{
        height: 100%;
        overflow-x: hidden;
        overflow-y: auto;
        display: flex;
        justify-content: center;
        align-items: center;
        flex-wrap: wrap;
    }
}
.text{
    font-family: 'Kanit-Light', tahoma;
    &--message{
        margin: 2% 0;
        font-size: 1.2em;
        color: #b0a096;
        word-break: break-all;
        @media(max-width: 640px) {
            font-size: 3vw;
        }
    }
    &--receive{
        margin: 2% 0 0;
        font-size: 1.2em;
        width: 100%;
        display: block;
        color: #b0a096;
        word-break: break-all;
        @media(max-width: 640px) {
            font-size: 3vw;
        }
    }
}
.input{
    text-align: center;
    // height: 2em;
    border-radius: 2px;
    border: 1px solid #000;
    width: 100%;
    font-size: 1.1em;
    margin: 2% 0;
    font-family: 'Kanit-Light', tahoma;
}
.select{
    margin-top: 2%;
    >div{
        margin: 0 1%;
        display: inline-block;
        vertical-align: middle;
        >select{
            margin: 0 1%;
            font-size: 1.1em;
            border-radius: 2px;
            border: 1px solid #000;
            font-family: 'Kanit-Light', tahoma;
        }
        &:last-child{
            width: 65%;
        }
    }   
}
.btn-group{
    position: absolute;
    width: 100%;
    left: 50%;
    bottom: -15%;
    transform: translate(-50%,0);
    &--big{
        bottom: -20%;
        @media(max-width: 450px) {
            bottom: -30%;
        }
    }
    &--middle{
        bottom: -20%;
        @media(max-width: 450px) {
            bottom: -20%;
        }
    }
}
.ok{
    background: url('../../static/images/elite/btn_ok.png') no-repeat top center;
    background-size: 100% 200%;
    width: 15%;
    padding-bottom: calc(15%*(32/93));
    cursor: pointer;
    display: inline-block;
    vertical-align: middle;
    margin: 0 3%;
    &:hover{
        background-position: bottom center;
    }
    &--big{
        width: 25%;
        padding-bottom: calc(25%*(32/93));
    }
    @media(max-width: 450px) {
        width: 20%;
        padding-bottom: calc(20%*(32/93));
        &--big{
            width: 30%;
            padding-bottom: calc(30%*(32/93));
        }
    }
}
.notok{
    background: url('../../static/images/elite/btn_notok.png') no-repeat top center;
    background-size: 100% 200%;
    width: 15%;
    padding-bottom: calc(15%*(32/93));
    cursor: pointer;
    display: inline-block;
    vertical-align: middle;
    margin: 0 3%;
    &:hover{
        background-position: bottom center;
    }
    &--big{
        width: 25%;
        padding-bottom: calc(25%*(32/93));
    }
    @media(max-width: 450px) {
        width: 20%;
        padding-bottom: calc(20%*(32/93));
        &--big{
            width: 30%;
            padding-bottom: calc(30%*(32/93));
        }
    }
}
.agree{
    background: url('../../static/images/elite/btn_agree.png') no-repeat top center;
    background-size: 100% 200%;
    width: 15%;
    padding-bottom: calc(15%*(39/117));
    cursor: pointer;
    display: inline-block;
    vertical-align: middle;
    margin: 0 3%;
    &:hover{
        background-position: bottom center;
    }
    &--big{
        width: 25%;
        padding-bottom: calc(25%*(39/117));
    }
    &--middle{
        width: 20%;
        padding-bottom: calc(20%*(39/117));
    }
    @media(max-width: 450px) {
        width: 20%;
        padding-bottom: calc(20%*(39/117));
        &--big{
            width: 30%;
            padding-bottom: calc(30%*(39/117));
        }
        &--middle{
            width: 25%;
            padding-bottom: calc(25%*(39/117));
        }
    }
}
.receive{
    background: url('../../static/images/elite/btn_receive.png') no-repeat top center;
    background-size: 100% 200%;
    width: 15%;
    padding-bottom: calc(15%*(39/117));
    cursor: pointer;
    display: inline-block;
    vertical-align: middle;
    margin: 0 3%;
    &:hover{
        background-position: bottom center;
    }
    &--big{
        width: 25%;
        padding-bottom: calc(25%*(39/117));
    }
    &--middle{
        width: 20%;
        padding-bottom: calc(20%*(39/117));
    }
    @media(max-width: 450px) {
        width: 20%;
        padding-bottom: calc(20%*(39/117));
        &--big{
            width: 30%;
            padding-bottom: calc(30%*(39/117));
        }
        &--middle{
            width: 25%;
            padding-bottom: calc(25%*(39/117));
        }
    }
}
.sent{
    background: url('../../static/images/elite/btn_sent.png') no-repeat top center;
    background-size: 100% 200%;
    width: 15%;
    padding-bottom: calc(15%*(39/117));
    cursor: pointer;
    display: inline-block;
    vertical-align: middle;
    margin: 0 3%;
    &:hover{
        background-position: bottom center;
    }
    &--big{
        width: 25%;
        padding-bottom: calc(25%*(39/117));
    }
    &--middle{
        width: 20%;
        padding-bottom: calc(20%*(39/117));
    }
    @media(max-width: 450px) {
        width: 20%;
        padding-bottom: calc(20%*(39/117));
        &--big{
            width: 30%;
            padding-bottom: calc(30%*(39/117));
        }
        &--middle{
            width: 25%;
            padding-bottom: calc(25%*(39/117));
        }
    }
}
.label-top{
    position: absolute;
    width: 40%;
    left: 50%;
    transform: translate(-50%,0);
    &--message{
        top: -23px;
        @media(max-width: 420px) {
            top: -5vw;
        }
    }
    &--reward{
        width: 30%;
        top: -28px;
        @media(max-width: 420px) {
            top: -4vw;
        }
    }
}